# ItemMetaSerializer

object ItemMetaSerializer : KSerializerForBukkit<ItemMeta>
Content copied to clipboard

## Functions

deserialize
Link copied to clipboard
open override fun deserialize(decoder: Decoder): ItemMeta
Content copied to clipboard
equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
serialize
Link copied to clipboard
open override fun serialize(encoder: Encoder, value: ItemMeta)
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

descriptor
Link copied to clipboard
open override val descriptor: SerialDescriptor
Content copied to clipboard